
-- user-settings
MERGE INTO USER_SETTING_DEF (SETTING_KEY, SETTING_VALUE, LABEL, SERVICE_NAME, DISPLAY_TYPE, SIZE, ENABLED, EDITABLE, VISIBLE, ORDER_NO) VALUES
    ( 'cluster.name', 'CM_CLUSTER_NAME', 'Cluster name', '', 'text', 200, true, false, true, 1 ),
    ( 'cluster.displayname', 'Cluster 1', 'Cluster display name', '', 'text', 200, true, true, true, 2 ),
    ( 'ambari.cluster.name', 'cl1' , 'Ambari cluster name', '', 'text', 200, true, false, false, 3),
    ( 'cluster.version', '7.1.7', 'Target version', '', 'combo', 200, true, true, true, 4 ),
    ( 'cluster.fullversion', '7.1.7-1.cdh7.1.7.p78.21656418', 'Target full version', '', 'edit-text', 230, true, true, true, 5),
    ( 'cluster.originating_source', 'AM2CM version 2.1', 'Originating Source', '', 'text', 200, true, false, true, 6 ),
    ( 'cm.rolegroups.enable', 'false', '', '', 'text', 200, false, false, false, 7 ),
--  Hive
    ( 'SERVICE_HIVE_hive_jdbc_url_override', 'JDBC_URL', 'Hive Jdbc url', 'HIVE', 'text', 410, true, true, true, 8 ),
    ( 'SERVICE_HIVE_hive_metastore_database_password', 'password', 'Hive db password', 'HIVE', 'password', 200, true, true, true, 9 ),
--  Oozie
    ( 'SERVICE_OOZIE_oozie_service_JPAService_jdbc_url', 'JDBC_URL', 'Oozie Jdbc url', 'OOZIE', 'text', 410, true, true, true, 10 ),
    ( 'SERVICE_OOZIE_oozie_database_password', 'password', 'Oozie db password', 'OOZIE', 'password', 200, true, true, true, 11 ),
--  Ranger
    ( 'SERVICE_RANGER_dba_password', 'mysql', 'Ranger DBA user password', 'RANGER', 'password', 200, true, true, true, 12 ),
    ( 'SERVICE_RANGER_ranger_database_password', 'rangeradmin', 'Ranger db password', 'RANGER', 'password', 200, true, true, true, 13 ),
    ( 'SERVICE_RANGER_rangeradmin_user_password', 'Rangerpassword@123', 'RangerAdmin password', 'RANGER', 'password', 200, true, true, true, 14 ),
    ( 'SERVICE_RANGER_rangerusersync_user_password', 'Rangerpassword@123', 'RangerUserSync password', 'RANGER', 'password', 200, true, true, true, 15 ),
    ( 'SERVICE_RANGER_rangertagsync_user_password', 'Rangerpassword@123', 'RangerTagSync password', 'RANGER', 'password', 200, true, true, true, 16 ),
    ( 'SERVICE_RANGER_rangerkeyadmin_user_password', 'Rangerpassword@123', 'RangerKeyAdmin password', 'RANGER', 'password', 200, true, true, true, 17 ),
--  Ranger KMS
    ( 'SERVICE_RANGER_KMS_dba_password', 'mysql', 'Ranger KMS DBA user password', 'RANGER_KMS', 'password', 200, true, true, true, 18 ),
    ( 'SERVICE_RANGER_KMS_ranger_kms_database_password', 'rangerkms', 'RangerKMS db password', 'RANGER_KMS', 'password', 200, true, true, true, 19 ),
    ( 'SERVICE_RANGER_KMS_ranger_kms_master_key_password', 'rangerlogger', 'RangerKMS master key password', 'RANGER_KMS', 'password', 200, true, true, true, 20 ),
--  Knox
    ( 'SERVICE_KNOX_gateway_master_secret', 'knoxsecret', 'Knox gateway master secret', 'KNOX', 'password', 200, true, true, true, 21 ),
--  Kerberos
    ( 'kerberos_admin_user', 'admin', 'Kerberos admin user', 'KERBEROS', 'text', 200, true, true, true, 22 ),
    ( 'kerberos_admin_password', 'admin', 'Kerberos admin password', 'KERBEROS', 'password', 200, true, true, true, 23 )
    ;

-- test data
-- MERGE INTO AMBARI_SERVER (ID, SERVER_URL, USERNAME, PASSWORD, PROTOCOL, HOST, PORT) VALUES
--     ( 0, 'http://localhost:8080', 'admin', 'admin', 'http', 'my-host-01', '8080' ),
--     ( 1, 'http://santal-ambari-276-bp01.novalocal:8080', 'admin', 'admin', 'http', 'santal-ambari-276-bp01.novalocal', '8080' );
--
-- MERGE INTO AMBARI_CLUSTER (AMBARI_SERVER_ID, CLUSTER_ID) VALUES ( 0, 'test-cl' );
-- MERGE INTO AMBARI_CLUSTER_HOST (AMBARI_SERVER_ID, CLUSTER_ID, HOST_NAME) VALUES
--     ( 0, 'test-cl', 'test-host-1.com' ),
--     ( 0, 'test-cl', 'test-host-2.com' ),
--     ( 0, 'test-cl', 'test-host-3.com' );
--
-- MERGE INTO CM_SERVER (ID, AMBARI_SERVER_ID, HOST, PORT, PROTOCOL, CM_DB_TYPE, CM_DB_HOST, CM_DB_NAME, CM_DB_USER) VALUES
--     ( 1, 1, 'santal-ambari-276-bp01.novalocal', 7200, 'http', 'mysql', 'santal-ambari-276-bp01.novalocal', 'scm', 'scm');

MERGE INTO TRANSITION_TYPE(ID, NAME, BG_COLOR, FONT_COLOR, DESCRIPTION) VALUES
    ('INPLACE_TWO_STAGE_UPGRADE', 'Inplace Two Stage Upgrade', '#FFFFFF', '#1b2329', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis lorem nisl, efficitur vitae fringilla id, scelerisque in velit. Pellentesque urna libero, porttitor a quam vulputate, egestas placerat nulla. Cras quis mauris in neque maximus pharetra a eu turpis. Etiam vitae eros commodo nibh convallis pharetra. Aenean laoreet nulla at magna efficitur luctus. Aenean nec ultricies nunc. Morbi finibus eros sit amet tellus faucibus, eget aliquam sapien facilisis. Praesent aliquam quis magna quis vehicula. Curabitur vel dapibus ligula, vel interdum enim. Donec et neque efficitur, tempor quam at, consequat mi. Morbi libero quam, pellentesque ut magna sit amet, lacinia lobortis ex.'  ),
    ('INPLACE_ONE_STAGE_UPGRADE', 'Inplace One Stage Upgrade', '#EDF7FF', '#1b2329', 'the description of the inplace one stage upgrade \n Etiam accumsan dui efficitur magna venenatis posuere. Nam faucibus elit tortor, in rhoncus enim pretium et. Suspendisse imperdiet bibendum tellus a congue. In vehicula augue massa, at tincidunt justo ornare in. Quisque quis dolor tristique, viverra elit vitae, pellentesque dui. Maecenas nec justo enim. Ut blandit libero quis cursus aliquam. Aenean porttitor ac nulla at pellentesque. Proin suscipit, metus vel cursus placerat, nulla arcu pharetra metus, eu venenatis nisl tortor viverra tortor. Praesent ut risus risus. Sed ac enim maximus, commodo felis vulputate, rhoncus ex. In elit arcu, molestie eu lectus id, hendrerit feugiat turpis. Nulla facilisi. Orci varius natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Aenean imperdiet tempus tellus, nec accumsan est ultricies eget.'  ),
    ('PUBLIC_CLOUD_MIGRATION', 'Public Cloud migration', '#FFECEC', '#1b2329', 'the description of the public cloud migration \n Phasellus iaculis nunc a ligula fringilla, ac venenatis sem imperdiet. Maecenas et feugiat justo. Fusce ultricies augue sapien, eget tincidunt quam ullamcorper in. Nulla vel volutpat tellus, at vehicula urna. In pellentesque nisl purus, at venenatis eros mollis a. Suspendisse sit amet eleifend nisi. Nullam venenatis facilisis justo nec facilisis. Vestibulum tempor facilisis tristique. Morbi nisi nulla, ultricies at odio at, volutpat posuere nisi. Suspendisse eu nunc rhoncus, sodales velit ac, maximus elit. In id erat iaculis, tristique mi in, tincidunt lorem. Vestibulum tortor eros, porta et odio eget, auctor pulvinar justo. Nunc tristique euismod nisi, eget mattis nunc feugiat in. Aenean dictum varius cursus.'  ),
    ('SAAS_MIGRATION', 'SaaS migration', '#E5FFE5', '#1b2329', 'the description of the SaaS migration \n Nam et scelerisque tortor. In diam eros, porttitor pharetra gravida non, suscipit ut ante. Praesent sed nisi euismod, ultrices neque vel, tincidunt quam. Nam fringilla, magna vel maximus euismod, magna dolor rutrum erat, ut gravida felis magna quis neque. Nulla ut molestie ligula. Quisque sem arcu, maximus ut justo sed, sollicitudin ultricies ipsum. Nulla ut tincidunt nunc. Etiam id imperdiet magna. Sed egestas erat ultrices, laoreet arcu quis, ultrices tortor. Integer consectetur placerat sem vitae pulvinar. Aenean cursus mi nec gravida mattis. Aenean ultrices eu nibh nec ultrices. Morbi id euismod diam.'  )
;